Версия 4.14
---------------
+ добавлена поддержка RAD Studio XE4
- [Lazarus] исправлена ошибка с выводом текста
- [Lazarus] исправлена ошибка отображения некоторых контролов дизайнера
- [Lazarus] улучшен интерфейс дизайнера и предпросмотра
- [Lazarus] исправлена ошибка с boolean типом св-в при использовании в скрипте и выражениях
- исправлена ошибка зацикливания в TfrxRichView
- исправлена ошибка с Unicode в TfrxMemoView появившейся в предыдущем релизе
- улучшен MAPI интерфейс в фильтре экспорта TfrxExportMail
- исправлены проблемы возникающие при использовании стилей в приложении XE2/XE3
- улучшена совместимость с Fast Report FMX

Версия 4.13
---------------
+ добавлена поддержка Lazarus(бета версия) включено в редакцию Professional и выше
+ добавлена поддержка Embarcadero RAD Studio XE3
- исправлена совместимость с Fast Report FMX установленным в туже IDE. Данная версия может со существовать с Fast Report FMX уст ановленным в IDE.
+ опубликовано свойство "Quality" объекта TfrxPDFExport 
+ опубликовано свойство "UseMAPI" объекта TfrxExportMail 
+ опубликовано свойство "PictureType" объекта TfrxODFExport
- исправлена ошибка с выражениями в RichEdit
- исправлена ошибка с многоколоночным отчетом
- исправлено исключение в дизайнере отчета
- исправлена ошибка с гиперссылками в экспортах Open Document Text и Open Document Spreadsheet
- исправлена строка формата в XLS OLE экспорте
- исправлена строка формата в XLS BIFF8 экспорте
- исправлен вывод чекбоксов на подсвеченные строки в PDF экспорте
- исправлена ошибка с экспортом якорей в PDF
- исправлена ошибка при использовании двух и более макросов в мемо


Версия 4.12
---------------
+ добавлена поддержка Embarcadero Rad Studio EX2 (x32/x64)
+ добавлен экспорт Excel формул в BIFF экспорте
+ добавлен экспорт внешних URL в PDF экспорт
+ добавлен конвертр из Rave Reports ConverterRR2FR.pas
+ добавлено свойство Cross.KeepRowsTogether
+ оптимизировано объединение ячеек в BIFF экспорте
+ добавлено свойство DataOnly в экспорты
+ формат картинок во всех экспортах изменён на PNG
+ улучшена обработка числовых форматов в BIFF экспорте
+ добавлено свойство TfrxODFExport.SingleSheet
+ добавлено свойство TfrxSimpleTextExport.DeleteEmptyColumns
+ добавлено свойство TfrxBIFFExport.DeleteEmptyRows
+ добавлен прогресс-бар в экспорт BIFF
- исправлена ошибка c рамкой для некоторых типов штрих кодов
- исправлен неправильный размер метафайлов в EMF экспорте
- исправлена обработка отрицательных чисел в OLE экспорте
- исправлена ошибка в OLE экспорте в обработке исключений
- исправлена ошибка в создании прогресс-бара  (относится ко многим экспортам)
- исправлена ошибка в ODF экспорте в обработке строк
- исправлена ошибка в OLE экспорте в форматировании чисел
- исправлена ошибка в PDF экспорте в повороте текста на 90, 180 и 270 градусов
- исправлена ошибка в ODF экспорте в обработке колонтитулов
- исправлена ошибка в Text экспорте в вычислении границ объектов
- исправлена ошибка в ODF экспорте в UTF8 кодировании
- исправлено скрытие линий сетки вокруг непустых ячеек в BIFF экспорте
- исправлено размытие картинок при экспорте
- исправлен перенос слов в экспорте Excel XML



Версия 4.11
---------------
+ добавлен новый фильтр экспорта BIFF8 XLS
+ добавлено в ODF экспорт свойство Language
+ [enterprise] добавлена папка "scripts" для дополнительных скриптов (директива "uses" в скрипте отчета)
+ [enterprise] добавлено ведение лога планировщика (пишет сообщения в scheduler.log)
+ [enterprise] добавлено свойство "Reports" - "Scripts" в конфигурацию сервера - устанавливает путь для директивы "uses" в скрипте отчета
+ [enterprise] добавлено свойство "Http" - "MaxSessions" в конфигурацию сервера - устанавливает максимальное количество одновременных сессий (установить в 0 для снятия ограничения)
+ [enterprise] добавлено свойство "Reports" - "MaxReports" в конфигурацию сервера - устанавливает максимальное количество одновременно строящихся отчетов (установить в 0 для снятия ограничения)
+ [enterprise] добавлено свойство "Logs" - "SchedulerLog" в конфигурацию сервера - устанавливает имя файла лога планировщика
+ [enterprise] добавлено свойство "Scheduler" - "Active" в конфигурацию сервера - разрешает работу планировщика 
+ [enterprise] добавлено свойство "Scheduler" - "Debug" в конфигурацию сервера - разрешает запись отладочных логов планировщика
+ [enterprise] добавлено свойство "Scheduler" - "StudioPath" в конфигурацию сервера - устанавливает путь к программе FastReport Studio (оставить пустым для пути по умолчанию)
- [enterprise] исправлена ошибка с типами MIME в http заголовках (content-type)
- [enterprise] исправлена ошибка с конфигурацией по умолчанию (если отсутствует config.xml)
- [enterprise] исправлена ошибка с error pages
- исправлена в XML экспорте ошибка использовании свойства ShowProgress
- исправлена в RTF экспорте ошибка в вычислении размера шрифта для ячекк без текста
- исправлена в ODF экспорте обработка поля Creator
- исправлена в XML экспорте обработка специальных символов в строке
- исправлена ошибка в ODF экспорте в формировании атрибутов table:number-columns-spanned и table:number-rows-spanned
- исправлена ошибка в ODF экспорте в обработке цвета clNone
- исправлена ошибка в ODF экспорте в формировании стиля table:covered-table-cell
- исправлена ошибка в ODF экспорте в формировании копий тегов table:covered-table-cell
- исправлена ошибка в ODF экспорте: ненужные теги text:p теперь не добавляются внутрь тегов table:covered-table-cell
- исправлена ошибка в ODF экспорте в формировании языковых стилей
- исправлена ошибка в ODF экспорте в обработке пробелов и знаков табуляции
- исправлена ошибка в ODF экспорте в формировании стилей числовых ячеек
- исправлена ошибка в ODF экспорте в обработке фоновой картинки
- исправлена ошибка в ODF экспорте в формировании междусимвольного интервала
- исправлена ошибка в ODF экспорте в форматировании чисел
- исправлена ошибка в ODF экспорте с тегом table-row
- исправлена ошибка в XLS(OLE) экспорте в форматировании чисел
- исправлена ошибка в RTF экспорте в обработке RTF полей
- исправлена ошибка в обработке специальных символов в HTML экспорте
- исправлена ошибка UTF8 кодирования в ODF экспорте
- исправлена ошибка экспорта в PDF подчеркнутых, перечёркнутых и повёрнутых текстов.

Версия 4.10
---------------
+ добавлена поддержка Embarcadero Rad Studio XE (Delphi EX/C++Builder EX)
+ добавлена поддержка пакетов TeeChart 2010 (новые типы серий не поддерживаются в этой версии)
+ добавлено свойство TruncateLongTexts в XLS OLE экспорт позволяющее экспортировать строки любой длины
+ добавлено свойство EmbedProt в PDF экспорт позволяющее отключать встраивание шрифтов в шифруемый PDF файл
+ добавлено свойство TfrxDateEditControl.WeekNumbers
- исправлена ошибка экспорта Корейских букв в XML и PDF экспортах
- исправлена ошибка неправильного экспорта перечёркнутых текстов XLS XML экспортом
- исправлена ошибка экспорта пустой страницы XLS OLE экспортом
- исправлена ошибка неправильной закраски фона страницы в PDF экспорте
- исправлена ошибка в встроенном дизайнере при использовании точек останова в скрипте
- исправлена ошибка с потерей фокуса в элементе выбора размера шрифта в дизайнере
- исправлена ошибка с обрезанием элемента выбора размера шрифта в Windows Vista/7 
- исправлена ошибка с  потерей имени файла в наследованном отчете
- исправлена ошибка в многостраничном отчете при использовании EndlessHeight/EndlessWidth
- исправлена ошибка с TfrxHeader.ReprintOnNewpage иKeepTogether
- исправлена ошибка в многоколоночном отчете с использование дочерних бэндов
- улучшен механизм разбиения  (добавлен метод TfrxStretcheable.HasNextDataPart для разбиения сложных данных как RTF таблица)
- улучшена скорость работы кросс таблицы при использовании кросс таблицы на повторяющемся бэнде

Версия 4.9
---------------
+ добавлен аутлайн в PDF экспорте
+ добавлены ссылки (якоря) в PDF экспорте
- исправлена ошибка с внедрением TTC шрифтов в PDF экспорте
+ добавлена возможность создавать TIFF файлы состоящие из нескольких картинок
+ добавлен экспорт колонтитулов в ODF экспорте
+ добавлена возможность печати/экспорта прозрачных картинок (св-ва TfrxPictureView.Transparent и TfrxPictureView.TransparentColor) (PDF экспорт не поддерживается)
+ добавлены новые режимы "Разбивка на листы"  в TfrxXMLExport
+ добавлена  поддержка тега /PAGE tag в TfrxRichView, "движок" автоматически разбивает страницы отчета, когда встречает тег /PAGE 
+ добавлена возможность скрывать Null значения в TfrxChartView (TfrxChartView.IgnoreNulls = True)
+ добавлена возможность устанавливать любой порядок страниц при печати
+ [enterprise] обновлена документация
+ [enterprise] доступны переменные "AUTHLOGIN" и "AUTHGROUP" внутри любого отчета
+ [enterprise] любой отчет может быть сопоставлен с одной или несколькими группами, для других групп выполнение этих отчетов запрещено
+ [enterprise] настройка задержек хранения в кэше для любого файла отчета (reports.xml)
+ [enterprise] добавлен новый  редактор свойств отчетов в утилиту конфигурации (закладка Reports)
+ [enterprise] добавлено свойство "Xml" - "SplitType" в конфигурацию - позволяет выбрать тип разбиения на листы: none/pages/printonprev/rowscount
+ [enterprise] добавлено свойство "Xml" - "SplitRowsCount" в конфигурацию - устанавливает количество строк для режима разбиения "rowscount"
+ [enterprise] добавлено свойство "Xml" - "Extension" в конфигурацию - позволяет выбрать расширение ".xml" или ".xls" 
+ [enterprise] добавлено свойство "Html" - "URLTarget" в конфигурацию - позволяет установить аттрибут target для гиперссылок внутри отчета
+ [enterprise] добавлено свойство "ReportsFile" в конфигурацию - путь к файлу хранения свойств отчетов (задержек хранения в кэше, ассоциированных групп)
+ [enterprise] добавлено свойство "ReportsListRenewTimeout" в конфигурацию - интервал обновления списка отчетов в секундах
+ [enterprise] добавлено свойство "ConfigRenewTimeout" в конфигурацию - интервал обновления файла конфигурации в секундах
+ [enterprise] добавлено свойство "MimeType" в конфигурацию для каждого выходного формата 
+ [enterprise] добавлено свойство "BrowserPrint" в конфигурацию - разрешает печать отчета средствами браузера, добавлен новый шаблон nav_print_browser.html
+ [enterprise] добавлена динамическая генерация имени результирующих файлов (report_name_date_time)
* [enterprise] переменные SERVER_REPORTS_LIST и SERVER_REPORTS_HTML (список доступных отчетов) зависят от группы пользователя (для внутренней аутентификации)
+ добавлено рисование shapes в PDF экспорте (не картинка)
+ добавлен поворот текста в PDF экспорте (не картинка)
+ добавлено св-во EngineOptions.IgnoreDevByZero отключает исключение при делении на ноль в выражениях
+ добавлены св-ва TfrxDBLookupComboBox.DropDownWidth, TfrxDBLookupComboBox.DropDownRows
+ добавлено событие TfrxCustomExportFilter.OnBeginExport
+ добавлена возможность уменьшать шрифт у объекта штрихкод
+ добавлена возможность вставлять FNC1 в "code 128" штрихкод
+ добавлено событие TfrxPreview.OnMouseDown
+ добавлена поддержка нового PDF экспорта в D4-D6 и BCB4-BCB6
* улучшен метод AddFrom - копирование якорей
- исправлена ошибка с переносом текста в экспорте в PDF
- исправлена ошибка с подчеркиванием текста в экспорте в PDF
- исправлена ошибка с закруглёнными прямоугольниками в экспорте в PDF
- исправлен экспорт в CSV в соответсвии со оспецификацией RFC 4180
- исправлена ошибка с зачеркнутым текстом в PDF экспорте
- исправлена ошибка с некорректным экспортом объекта TfrxRichView в RTF формат (неправильный интерлиньяж)
- [enterprise] добавлена критическая секция в метод TfrxServerLog.Write
- исправлена ошибка с установкой флагов защиты в диалоговом окне PDF экспорта
- исправлена ошибка с экспортом картинок в Open Office Writer (odt)
- [enterprise] исправлена ошибка с компонентой TfrxReportServer в Delphi 2010
- исправлены незначительные ошибки в Embarcedero RAD Studio 2010
- исправлена ошибка с бесконечным циклом при использовании вертикальных бэндов вместе c заголовком страницы и заголовками с включенной опцией ReprintOnNewPage
- исправлена ошибка при использовании механизма "держать вместе" и кросс таблицы (не верный перенос кросс таблицы)
- исправлена ошибка с макросом [CopyName#] при печати в режиме "Join small pages" 
- исправлена ошибка при попытке разбить отчет с бесконечной высотой на страницы (NewPage, StartNewPage)
- исправлена ошибка добавления пустой строки в TfrxRichView при вставке текста из выражений
- исправлена ошибка вывода подвала если бэнд скрыт(FooterAfterEach = True)
- исправлена ошибка сброса переменной Page в двухпроходном отчете с TfrxCrossView
- исправлена ошибка с потерей выравнивания при разбиении у объекта TfrxRichView
- исправлены зависания отчетов с TfrxRichView c использованием RTF 4.1

Версия 4.8
---------------
+ добавлена поддержка Embarcadero Rad Studio 2010 (Delphi/C++Builder)
+ добавлено св-во TfrxDBDataset.BCDToCurrency
+ добавлено св-во TfrxReportOptions.HiddenPassword для возможности устанавливать пароль из кода
+ добавлено событие TfrxADOConnection.OnAfterDisconnect
+ добавлено св-во TfrxDesigner.MemoParentFont
+ добавлены новые значения для св-ва TfrxDesignerRestriction: drDontEditReportScript и drDontEditInternalDatasets
+ добавлено вычисление контрольной суммы для штрихкода  2-5 interleaved
+ добавлено св-во TfrxGroupHeader.ShowChildIfDrillDown
+ добавлено событие TfrxMailExport.OnSendMail
+ добавлена  поддержка RTF 4.1 в объекте TfrxRichText
+ [enterprise] добавлен режим аутентификации Windows
+ добавлен флаг подтверждения прочтения в TfrxMailExport
+ в диалог TfrxMailExport добавленно поле TimeOut
+ добавлена возможность использования механизма "держать вместе"(KeepTogether/KeepChild/KeepHeader) в многоколоночном отчете
+ добавлена возможность разбиения больших бэндов(больше чем высота страницы) по умолчанию
* [enterprise] улучшена работа CGI совместно с серверами IIS/Apache
* изменен PDF экспорт (D7 и выше): добавлена полная поддержка Unicode, увеличена скорость работы, уменьшены требования к памяти
  старый PDF экспорт сохранен в файле frxExportPDF_old.pas
- изменен механизм наследования, правильное наследование связанных объектов (fixups)
- исправлена ошибка с зеркальными полями в RTF, HTML, XLS, XML, OpenOffice экспортах
- исправлена ошибка, при которой кросс таблица обрезала текст в "углу" таблицы, когда высота "угла" больше высоты колонки
- [fs] увеличена скорость компиляции скрипта
- улучшено WatchForm: TListBox заменен на TCheckListBox
- улучшен метод AddFrom - копирование outline
- улучшен функционал вертикальных бэндов, показывает мемо поля помещенные на гориз. бэнд и которые не пересекают вертикальный бэнд, а так же вычисляет в них значения и обрабатывает события(как в FR2)
- улучшен режим без сортировки в кросс таблице(объединяет колонки корректно)
- улучшен конвертер из Report Builder
- улучшено событие TfrxDesigner.OnInsertObject, должно вызываться при перетаскивании полей из дерева данных
- улучшен механизм  дрилл-даунов, должен корректно работать с master-detail-subdetail отчетами 
- исправлена ошибка использования DownThenAcross в кросс таблице
- исправлено несколько ошибок под CodeGear RAD Studio (Delphi/C++Builder) 2009 
- исправлена ошибка с emf в ODT экспорте
- исправлена ошибка с некорректным отображением outline при построении нескольких составных отчетов с использованием двухпроходного режима
- исправлена ошибка, когда группа не вмещается на пустую страницу и переносится
- исправлена ошибка с переменными "Page" и"Line" в вертикальных бэндах
- исправлена ошибка, возникающая при использовании св-ва KeepHeader
- исправлена ошибка со смещением вложенных отчетов  при использовании св-ва PrintOnParent 
- исправлена небольшая утечка памяти во вложенных отчетах
- исправлена проблема при использовании PageFooter и ReportSymmary вместе со св-вом PrintOnPreviousPage
- исправлена ошибка, когда дизайнер показывал закомментированные функции в инспекторе объектов
- исправлена ошибка, когда дизайнер вставлял код события в закомментированный блок
- исправлена ошибка, когда движок пытался перенести большие неразрываемые объекты и "уходил" в бесконечный цикл
- исправлена ошибка с использованием HTML тэгов в мемо вместе с WordWrap на коротком тексте
- [enterprise] исправлена ошибка с потерей параметров при обновлении/экспорте отчета
- исправлена ошибка экспорта в PDF для Delphi4
- исправлена ошибка с неправильным отображением некоторых кодовых страниц, которые используют 2 байта для спец. символов (Японские и Китайские кодовые страницы)
- исправлена ошибка удаления первого пробела из текста в "разрываемом" memo
- исправлена ошибка с многоколоночной страницей, когда бэнд перекрывал PageHeader
- исправлена ошибка использования опции ReprintOnNewPage
- внесены незначительные изменения в лицензионное соглашение


Версия 4.7
--------------
+ поддержка CodeGear RAD Studio (Delphi/C++Builder) Delphi 2009
+ [enterprise] расширенное описание ошибок в логах
+ добавлены свойства TfrxHTMLExport.HTMLDocumentBegin: TStrings, 
  TfrxHTMLExport.HTMLDocumentBody: TStrings, TfrxHTMLExport.HTMLDocumentEnd: TStrings
+ улучшен RTF экспорт (межстрочный интервал и т.д.)
+ добавлена поддержка изображений Enhanced Metafile (EMF) в RTF, Open Office (ODS), Excel (XLS) экспортах
+ добавлено событие OnAfterScriptCompile
+ добавлено событие onLoadRecentFile
+ добавлен hot-key Ctrl + mouseWheel - изменяет масштаб в дизайнере
+ добавлено св-во TfrxMemoView.AnsiText
+ добавлены примеры для C++ Builder 
- исправлена ошибка в RTF экспорте с EMF изображениями в OpenOffice Writer
- исправлены некоторые многопоточные моменты в ядре, PDF, ODF экспортах
- [enterprise] исправлена ошибка с интегрированным шаблоном навигатора отчета
- [enterprise] исправлена ошибка с экспортом в браузере Internet Explorer
- исправлена ошибка с размером шрифта матричных отчетов в Excel и XML экспортах
- исправлена ошибка в e-mail экспорте с несколькими адресами
- исправлена ошибка в XLS экспорте (с выключенным быстрым экспортом и объектом image равным null)
- [enterprise] исправлена ошибка в обработке события TfrxReportServer.OnGetVariables 
- исправлена ошибка в функции Calcl
- исправлена утечка памяти в редакторе CrossTab
- исправлена ошибка отображения некоторых диалогов в режиме DualView
- исправлена ошибка в PostNET и ean13 штрихкодах
- исправлена ошибка при использовании TruncOutboundText в матричных отчетов
- исправлена ошибка с точками останова в синтаксис мемо
- улучшенно событие OnBeforeConnect в ADO компонентах
- исправлена ошибка при наследовании отчетов в встроенных DB компонентах
- исправлена ошибка с фоновым цветом в TfrxPanelControl(Delphi 2005 и выше)

Версия 4.6
--------------
+ добавлен новый тег <nowrap>, текст заключенный в тег не разбивается WordWrap, а переносится целиком
+ добавлена возможность "сортировать по имени" в дереве данных 
+ добавлена возможность вывода страниц в предпросмотре справа налево (в режиме много страниц), для RTL языков
+ добавлена возможность перемещать бенд без объектов (Alt + Move)
+ добавлена возможность сохранения  кэша изображений в "temp" файл (PreviewOptions.PictureCacheInFile)
+ добавлено новое свойство TfrxReportPage.PageCount аналогично TfrxDataBand.RowCount 
+ добавлено св-во EngineOptions.UseGlobalDataSetList (для многопоточных приложений ) - установите св-во в True, если не нужно использовать Глобальный список DataSet (используйте Report.EnabledDataSet.Add () для добавления данных в локальный список) 
+ добавлено св-во Hint для всех печатаемых объектов, подсказки у диалоговых объектов теперь отображаются и в StatusBar
+ добавлено св-во TfrxDBLookupComboBox.AutoOpenDataSet (автоматически открывает присоединенный датасет после события onActivate диалога )
+ добавлено св-во WordWrap для диалоговых кнопок (Delphi 7 и выше)
+ добавлено св-воTfrxDesigner.TemplatesExt 
+ добавлены &amp; , &lt; , &gt; в XML reader
+ изменения в редакторе диаграмм: возможность изменять имя серий, возможность перемещать созданные серии, небольшие исправления
+ Класс TfrxStyles зарегистрирован в скрипте 
+ [enterprise] добавлена экспериментальная возможность печати на принтеры, подключенные к серверу 
  (config.xml "AllowPrint", установлено в "no" по умолчанию)
+ [enterprise] добавлена поддержка шаблонов (папка "templates"), внимание: все файлы шаблонов записаны в кодировке UTF8
+ [enterprise] добавлено автообновление параметров конфигурации
+ [enterprise] добавлено автообновление списка отчетов
+ [enterprise] добавлено новое демо \Demos\ClientServer\ISAPI
+ [enterprise] улучшены быстродействие и стабильность
+ [fs] добавлено св-во TfsScript.IncludePath
+ [fs] добавлено св-во TfsScript.UseClassLateBinding 
+ [fs] Исправлена ошибка в приведении типов из Variant(string) к Integer / Float
-  исправлена ошибка при выводе subreport на растягиваемом бенде
-  исправлена ошибка при использовании Band.Allowslit = True и TfrxColumnFooter
-  исправлена ошибка при использовании charset в Кросс таблице  отличной от DEFAULT_CHARSET
-  исправлена ошибка при печати на  альбомной ориентации с пользовательским размером бумаги
-  исправлена ошибка с использованием сетевых путей в наследовании отчета
-  исправлена совместимость с модулем WideStrings в BDS2006/2007
-  исправлено вычисление свободного пространства на странице при использовании PrintOnPreviousPage
- Thumbnail и Outline показываются справа для RTL языков
- [fs] исправлена ошибка с поздним связыванием
- изменения в наследовании отчетов: пути к  шаблону потомку теперь записываются относительно текущего отчета (старые отчеты, в которых использовались пути относительно приложении тоже будут работать)
- исправлен модуль для конвертации отчетов из Report Builder
- исправлена ошибка в RTF экспорте с некоторыми TfrxRichView объектами
- исправлена ошибка в наследование subreports 
- исправлена ошибка в предпросмотре с темами winXP  в последнем обновлении
- исправлена ошибка вычислений ширины при использовании HTML тегов в мемо
- исправлена ошибка мерцания предпросмотра при использовании события OnClickObject 
- исправлена ошибка при минимизации модального дизайнера в BDS2005 и выше 
- исправлена ошибка с RTL в PDF экспорте
- исправлена ошибка с SubReport при использовании многоколоночной страницы
- исправлена ошибка с Subreport.PrintOnParent = True в наследованных отчетах
- исправлена ошибка с SYMBOL_CHARSET в PDF экспорте
- исправлена ошибка с внедренными шрифтами в PDF экспорте
- исправлена ошибка с длинными ReportTitle + Header + MaterData.KeepHeader = True
- исправлена ошибка с добавлением датасетов при наследовании отчета
- исправлена ошибка с путями в HTML экспорте

Версия 4.5
--------------
+ добавлен модуль ConverterRB2FR.pas для конвертации отчетов из Report Builder
+ добавлен модуль ConverterQR2FR.pas для конвертации отчетов из QuickReport
+ добавлена поддержка нескольких приложений в e-mail экспорте (например html с картинками)
+ добавлена поддержка юникода (UTF-8) в e-mail экспорте
+ добавлена возможность изменять путь к шаблонам в дизайнере (вкладка наследования отчета)
+ добавлено скриптовое событие OnReportPrint
+ добавлена поддержка PNG во все версии (начиная с Basic) 
+ добавлено св-во TfrxDMPMemoView.TruncOutboundText - обрезает текст выходящий за границы объекта в матричном отчете когда WordWrap=false
+ добавлены новые стили рамки fsAltDot и fsSquare
+ добавлено новое событие OnPreviewDblClick для всех компонентов TfrxView
+ добавлена возможность вызывать события диалоговых форм после построения отчета, DestroyForms должен быть установлен в false
+ добавлена возможность изменять св-ва AllowExpressions и HideZeros в ячейках CrossTab (по умолчанию = false)
+ добавлено св-во IgnoreDupParams для DB компонентов
+ добавлена авто-открытие датасета у TfrxDBLookupComboBox 
+ добавлено св-во TfrxADOQuery.LockType 
+ добавлен новый define DB_CAT (frx.inc) для группировки DB компонентов 
+ добавлено св-во TfrxPictureView.HightQuality (отображает рисунок в предпросмотре более качественно, но снижает скорость отрисовки)
+ [FRViewer] добавлены параметры командной строки "/print filename" и "/silent_print filename"
+ добавлена поддержка ввода юникода в "Rich Editor"
+ добавлен новый define HOOK_WNDPROC_FOR_UNICODE (frx.inc) - устанавливает хук  на функцию GetMessage для поддержки ввода юникода в D4-D7/BCB4-BCB6
+ добавлена возможность выбора пути к пакетам FIB в "Recompile Wizard"
+ добавлена новая функция TfrxPreview.GetTopPosition, возвращает позицию на текущей странице
+ добавлены новые "горячие - клавиши" в "Редактор кода" : Ctrl+Del - удаляет слово перед курсором, Ctrl+BackSpace - удаляет слово после курсора(как в Delhi IDE)
+ добавлен пример "MDI Designer"
- все языковые ресурсы перенесены в UTF8, XML 
- исправлена ошибка с HTML- тегами [sup] и [sub] 
- исправлена ошибка при вычислении ширены в TfrxMemoView, при использовании HTML тегов
- исправлена ошибка с suppressRepeated в вертикальных бэндах
- исправлена ошибка когда дизайнер не восстанавливал позиции полос прокрутки после команд undo/redo
- исправлена визуальная ошибка в панели при использовании Windows Vista + XPManifest + Delphi 2006 
- исправлена ошибка в CalcHeight при использовании отрицательного LineSpace
- исправлена ошибка в frx2xto30 при импорте компонента запроса/таблицы, добавлен импорт компонента TfrDBLookupControl 
- исправлена ошибка при использовании CrossTab и TfrxHeader.ReprintOnNewPage = True
- исправлена ошибка с исчезновением символа переноса (WordBreak) при разрыве TfrxMemoView или использовании FlowTo
- исправлено конвертирование из юникода в TfrxMemoView когда используется charset не по умолчанию
- [fs] исправлена ошибка с оператором "in"
- исправлена ошибка с агрегатной функцией SUM 
- исправлена ошибка при использовании  юникода вместе с  [TotalPages#]  в TfrxMemoView
- исправлена ошибка  с типом поля TSQLTimeStampField
- исправлена ошибка док-панелей ("Object Inspector", "Report Tree", "Data Tree")  при использовании дизайнера как MDI или при использовании нескольких не модальнх дизайнеров
- исправлена ошибка при скрытии/показе док-панелей ("Object Inspector", "Report Tree", "Data Tree"), теперь после скрытия восстанавливается их размер
- исправлена ошибка в XML/XLS экспорте - неверная кодировка цифр после переноса строки
- исправлена ошибка в RTF экспорте
- исправлена ошибка с командами undo/redo в дизайнере при редактировании PreviewPages
- исправлена ошибка с SuppressRepeated при использовании KeepTogether в группе
- исправлена ошибка с SuppressRepeated, на новой странице все события вызывались дважды(используйте Engine.SecondScriptCall чтобы определить повторный вызов)


Версия 4.4
--------------
+ добавлена поддержка CodeGear RAD Studio 2007
+ увеличена скорость PDF, HTML, RTF, XML, ODS, ODT экспортов
+ добавлены свойства TfrxReportPage.BackPictureVisible, BackPicturePrintable
+ добавлен доступ к свойству TfrxCrossView.CellFunctions из скрипта
+ добавлены свойства TfrxPDFExport.Keywords, TfrxPDFExport.Producer, TfrxPDFExport.HideToolbar,
  TfrxPDFExport.HideMenubar, TfrxPDFExport.HideWindowUI, TfrxPDFExport.FitWindow, 
  TfrxPDFExport.CenterWindow, TfrxPDFExport.PrintScaling
+ добавлена возможность перекомпиляции пакетов frxFIB из "recompile wizard"
+ добавлена возможность устанавливать цвет для всех серий TeeChart, которые это поддерживают 
+ добавлена возможность устанавливать стили рамки для каждой линии в редакторе стилей
+ добавлено св-во TfrxPreview.Locked и  событие TfrxPreview.DblClick
+ добавлено исключение "invalid password", при загрузке не зашифрованного отчета
+ добавлен новый параметр у функции InheritFromTemplate (по умолчанию = imDefault) imDefault - показать диалог с ошибкой, imDelete - удалить дубликаты, imRename - переименовать дубликаты
+ добавлено свойство TfrxRTFExport.AutoSize (по умолчанию "False") для включения авторазмера по вертикали у ячеек таблиц
* переработано диалоговое окно PDF экспорта
* улучшен WYSIWYG в PDF экспорте
- исправлена ошибка с смещением бэндов PageFooter и ReportSummary при использовании EndlessHeight
- исправлена ошибка  с большой высотой страницы в предпросмотре
- исправлена ошибка с одновременным использованием оглавления и шифрования в PDF экспорте
- исправлена ошибка с залитыми стрелками (solid arrows) в PDF экспорте
- исправлена ошибка печати TfrxHeader на новой странице если ReprintOnNewPage=true и KeepFooter=True
- исправлена ошибка при использовании AllowSplit и TfrxGroupHeader.KeepTogether 
- исправлена ошибка c номерами страниц при печати dotMatrix отчета без диалогов 
- исправлена ошибка с EndlessHeight в мульти-колоночном отчете
- исправлена ошибка при изменении шрифта  у TfrxRichView
- [fs] исправлена ошибка при создании TWideStrings из скрипта
- исправлена ошибка с диалоговой формой когда св-во TfrxButtonControl.Default установлено в True 
- исправлено двукратный вызов ошибки "duplicate name" в дизайнере страниц сформированного отчета, при копировании-вставке объекта 
- исправлена ошибка с TfrxPreview.Clear и режимом ZmWholePage
- исправлена ошибка в PDF экспорте при использовании одновременно опций "outline" и "embedded fonts" 
- исправлена ошибка с многопоточностью в PDF экспорте
- исправлена ошибка с заливкой прозрачного прямогольника в PDF экспорте
- исправлена ошибка с экспортом OEM_CODEPAGE в RTF, Excel
- исправлена ошибка с вертикальным размером одной страницы в RTF экспорте
- исправлена ошибка с вертикальными стрелками в PDF экспорте
- исправлена утечка памяти с наследуемыми отчетами

Версия 4.3
--------------
+ добавлена поддержка шифрования в PDF экспорте
+ добавлена поддержка TeeChart Pro 8
+ добавлена поддержка кодовой страницы OEM в PDF экспорте
+ добавлено св-во TfrxReport.CaseSensitiveExpressions
+ добавлена поддержка C++Builder 2007
+ добавлено свойство "OverwritePrompt" во все компоненты экспорта
+ улучшен RTF экспорт (WYSIWYG)
+ добавлена поддержка тайской и вьетнамской кодировок в PDF экспорте
+ добавлена поддержка стрелок в PDF экспорте
* при наследовании отчета скрипт из отчета предка добавляется к текущему отчету (закомментированный)
* небольшие изменения в ядре PDF экспорта
- исправлена ошибка при форматировании чисел в Open Document Spreadsheet экспорте
- исправлена ошибка при вводе текстовых данных в числовое поле(Object Inspector) и закрытие дизайнера (без применения изменений)
- исправлена ошибка в TfrxDBDataset с установленным reCurrent
- исправлена ошибка с утечкой памяти при экспорте пустого outline в PDF формат
- исправлена ошибка с line#  (с subreports)
- ошибка с редактированием готового отчета, содержащего rich объект
- исправлена ошибка с экспортом теней в PDF экспорте
- исправлена ошибка с рисованием стрелок в дизайнере
- исправлена ошибка с полями в HTML, RTF, XLS, XML экспортах
- исправлена ошибка с экспортом стрелок в различные форматы
- исправлена ошибка с определением принтеров при открытии дизайнера (list index of bound)
- исправлена ошибка с размером страницы в наследованных отчетах

Версия 4.2
--------------
+ добавлена поддержка CodeGear Delphi 2007 
+ добавлен экспорт html тегов в формат RTF
+ улучшено разбиение объекта "Rich" на страницы
+ улучшено разбиение объекта "Текст" на страницы
+ добавлено свойство TfrxReportPage.ResetPageNumbers
+ добавлена поддержка экспорта underlines в формат PDF
* экспорт текстовых полей с форматом fkNumeric как чисел в ODS экспорт
- исправлена ошибка keeptogether с агрегатными ф-ями
- исправлена ошибка с экспортом двойных линий в RTF
- исправлена ошибка с мультипоточностью в PDF экспорте
- исправлена ошибка с цветом фона абзаца в RTF экспорте
- исправлена ошибка с юникодом в xml/xls экспорте
- исправлена ошибка с обрезанием страниц в экспортах BMP, TIFF, Jpeg, Gif
- исправлена ошибка режима печати "масштабирование"
- исправлена ошибка группы с userdataset
- исправлена ошибка разбиения cross-tab на страницы
- исправлена ошибка с круглыми скобками в PDF экспорте
- исправлена ошибка с изменением серого цвета в черный в RTF экспорте
- исправлена ошибка outline с page.endlessheight
- исправлена ошибка с зависанием при экспорте в текстовый формат некоторых отчетов
- исправлена ошибка с диапазоном страниц и outline в PDF экспорте
- исправлена ошибка с вызовом DesignReport дважды
- исправлена ошибка undo в окне кода
- исправлена поддержка unicode в cross объекте
- исправлен метод designreportinpanel с диалоговыми формами
- исправлена ошибка копирования DMPCommand в буфер обмена
- исправлена ошибка с экспортом null изображений 
- исправлена ошибка code completion
- исправлена ошибка column footer & report summary


Версия 4.1
--------------
+ добавлена возможность показа дизайнера в панели (метод TfrxReport.DesignReportInPanel). См. демо Demos\EmbedDesigner
+ добавлена поддержка TeeChart7 Std
+ [server] добавлен параметр "User" в события TfrxReportServer.OnGetReport, TfrxReportServer.OnGetVariables и TfrxReportServer.OnAfterBuildReport
+ добавлено свойство Cross.KeepTogether
+ добавлено свойство TfrxReport.PreviewOptions.PagesInCache
- исправлена ошибка в штрихкоде (при экспорте без превью)
- исправлена ошибка в preview (AV при zoommode = zmWholePage)
- исправлена ошибка с outline + drilldown
- исправлена ошибка с датасетами в наследованном отчете
- [install] исправлена ошибка с настройкой library path при установке в BDS/Turbo C++ Builder 
- исправлена позиция pagefooter если page.EndlessWidth = true
- исправлена ошибка сдвига объектов
- исправлено наследование в design-time (ошибка с путями)
- исправлена ошибка с chm help в дизайнере
- исправлена ошибка в PDF (встраивание шрифтов)
- исправлены кнопки превью
- исправлена ошибка с подсветкой синтаксиса
- исправлена ошибка в режиме print scale
- исправлена ошибка с control.Hint
- исправлена ошибка редактирования в режиме превью
- исправлена утечка в cross-tab


Версия 4.0 релиз
-----------

Дизайнер:
- оформление интерфейса в стиле XP
- закладка "Data" со всеми источниками данных отчета
- рисование диаграмм в закладке "Data"
- code completion (Ctrl+Space)
- точки останова
- watches
- шаблоны отчетов
- локальные выносные линии (появляются при перемещении или изменении 
размеров объекта)
- возможность немодальной работы, mdi child

Предварительный просмотр:
- эскизы страниц

Печать:
- разрезание страниц при печати на меньший размер бумаги
- печать нескольких страниц на одной большой
- печать с масштабированием
- управление дуплексом из диалога печати
- печать имени копии на каждой копии документа (например, "Первая копия", "Вторая копия")

Ядро:
- режим "бесконечная страница"
- увеличена скорость работы с изображениями
- режим "reset page numbers" для групп
- шифрация файлов отчета (Rijndael алгоритм)
- наследование отчетов (в файлах и формах dfm)
- drill-down отчеты
- объект frxGlobalVariables
- улучшения в объекте "cross-tab"
  - улучшенное управление ячейками
  - элементы показываются в дизайнере
  - заполнение угла таблицы (св-во ShowCorner)
  - несколько кроссов в ширину (св-во NextCross)
  - объединение одинаковых ячеек (св-во JoinEqualCells)
  - объединение одинаковых строковых значений внутри ячейки (св-во AllowDuplicates)
  - возможность вывода посторонних объектов внутри кросс-таблицы
  - свойства AddWidth, AddHeight для увеличения ширины и высоты ячейки
  - свойство AutoSize, возможность менять размеры ячеек вручную
- объект "Линия" может иметь стрелки
- добавлено св-во TfrxPictureView.FileLink (может содержать переменную или
имя файла)
- индивидуальное оформление каждой линии рамки (свойства Frame.LeftLine,
TopLine, RightLine, BottomLine - настраиваются в инспекторе)
- поддержка PNG изображений (раскомментируйте {$DEFINE PNG} в файле frx.inc)
- поддержка экспорта в формат Open Document Format for Office Applications (OASIS), таблиц (ods) и текстовых документов (odt)

Enterprise компоненты:
- Поддержка разграничения доступа на основе политики Пользователей/Групп (добавлено новое demo)
- Поддержка шаблонов
- Динамическое обновление конфигурации, списка пользователей/групп

